const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    st7_global_2d_to_2d_local = arg1[56] # st7;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 256 == 0:;
        pass;
    else:;
        v2_17 = sqrtl(st7_global_2d_to_2d_local) # bp+17;
        v4_1e = (*((arg1[48] - 24)) - v2_17) / v2_17;
        st7_global_2d_to_2d_local = v4_1e;
        v3_24 = z.y - 8 # bp+24;
        *v3_24 = v4_1e * *v3_24;
        *z.y = z.y * st7_global_2d_to_2d_local;
        v4_30 = z.z * st7_global_2d_to_2d_local # bp+30;
        st7_global_2d_to_2d_local = v4_30;
        *z.z = v4_30;
    # 0x34;
    return st7_global_2d_to_2d_local;


	}